using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UserView
{
    public partial class CredentialsForm : Form
    {
        public CredentialsForm()
        {
            InitializeComponent();
            this.comboBoxMode.Items.Clear();
            this.comboBoxMode.Items.Add(SWConfigDataClientLib.SProxyObject.AuthenticationMode.UsernamePassword);
            this.comboBoxMode.Items.Add(SWConfigDataClientLib.SProxyObject.AuthenticationMode.Trusted);
            this.comboBoxMode.Items.Add(SWConfigDataClientLib.SProxyObject.AuthenticationMode.TrustedLocal);
            this.comboBoxMode.Items.Add(SWConfigDataClientLib.SProxyObject.AuthenticationMode.TrustedPlain);
            this.comboBoxMode.Items.Add(SWConfigDataClientLib.SProxyObject.AuthenticationMode.Trusted);
            
            this.comboBoxProtocol.Items.Clear();
            this.comboBoxProtocol.Items.Add(SWConfigDataClientLib.SProxyObject.BaseProtocol.TCP);
        }

       
        private void LoginForm_Load(object sender, EventArgs e)
        {
       
        }

        public string Username
        {
            get
            {
                return this.textBoxUserName.Text;
            }
            set
            {
                this.textBoxUserName.Text = value;
            }
        }
        public string Password
        {
            get
            {
                return this.textBoxPassword.Text;
            }
        }

        public string Host
        {
            get
            {
                return this.textBoxHost.Text;
            }
            set
            {
                this.textBoxHost.Text = value;
            }
        }

        public SWConfigDataClientLib.SProxyObject.AuthenticationMode AuthMode
        {
            get
            {
                return (SWConfigDataClientLib.SProxyObject.AuthenticationMode)this.comboBoxMode.SelectedItem;
            }
            set
            {
                this.comboBoxMode.SelectedValue = (int)value;
            }
        }

        public SWConfigDataClientLib.SProxyObject.BaseProtocol Protocol        {
            get
            {
                return (SWConfigDataClientLib.SProxyObject.BaseProtocol)this.comboBoxProtocol.SelectedItem;
            }
            set
            {
                this.comboBoxProtocol.SelectedValue = (int)value;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }

        private void comboBoxMode_SelectedValueChanged(object sender, EventArgs e)
        {
            SWConfigDataClientLib.SProxyObject.AuthenticationMode mode = (SWConfigDataClientLib.SProxyObject.AuthenticationMode)comboBoxMode.SelectedItem;
            switch (mode)
            {
                case SWConfigDataClientLib.SProxyObject.AuthenticationMode.Kerberos:
                case SWConfigDataClientLib.SProxyObject.AuthenticationMode.Trusted:
                case SWConfigDataClientLib.SProxyObject.AuthenticationMode.TrustedLocal:
                case SWConfigDataClientLib.SProxyObject.AuthenticationMode.NoAuthentification:
                    this.textBoxPassword.Enabled = false;
                    this.textBoxUserName.Enabled = false;
                    break;
                case SWConfigDataClientLib.SProxyObject.AuthenticationMode.UsernamePassword:
                    this.textBoxPassword.Enabled = true;
                    this.textBoxUserName.Enabled = true;
                    break;
            }
        }

    }
}
