using System;
using System.Collections.Generic;
using System.Windows.Forms;
using SWConfigDataClientLib;
using SWConfigDataClientLib.Proxies.Admin;

namespace UserView
{
    static class Program
    {
        internal static LibManager glLibManager;
        internal static Properties.Settings glSettings;
        
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Program.glSettings = new UserView.Properties.Settings();
            Program.glLibManager = new LibManager();

            // Initialize the central LibManager object with default credentials
            if (Program.glSettings.LastAuthenticationMode >= 0)
                Program.glLibManager.AuthenticationMode = (SProxyObject.AuthenticationMode)Program.glSettings.LastAuthenticationMode;
            else
                Program.glLibManager.AuthenticationMode = SProxyObject.AuthenticationMode.Trusted;

            Program.glLibManager.BaseProtocol = SProxyObject.BaseProtocol.TCP;
            Program.glLibManager.Username = Program.glSettings.LastUserName;
            Program.glLibManager.WSBaseUrl = Program.glSettings.LastServerAddress;
            
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new UserViewForm());
        }
    }
}