using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SWConfigDataClientLib;
using SWConfigDataClientLib.Proxies;
using SWConfigDataClientLib.Proxies.Admin;

namespace UserView
{
    public partial class UserViewForm : Form
    {
        AdminFacade m_Facade;
        public UserViewForm()
        {
            InitializeComponent();
        }

        private void UserViewForm_Load(object sender, EventArgs e)
        {
            GetUserCredientials();
            try
            {
                this.bindingSourceUserAdminView.DataSource = m_Facade.GetUserAdminView1(true).CreateSortableFilterCollection();
            }
            catch (Exception ex)
            {
                DialogResult dialogRes = MessageBox.Show(this, ex.Message + "\n Click Yes for Details", "Error", MessageBoxButtons.YesNo);
                if (dialogRes == DialogResult.Yes)
                {
                    ErrorDetail errorForm = new ErrorDetail(ex);
                    errorForm.ShowDialog(this);
                }
             

            }
             
        }

        private void GetUserCredientials()
        {
            
            
            CredentialsForm form = new CredentialsForm();
            form.Username = Program.glLibManager.Username;
            form.Protocol = Program.glLibManager.BaseProtocol;
            form.AuthMode = Program.glLibManager.AuthenticationMode;
            form.Host = Program.glLibManager.WSBaseUrl;

            bool logonCompleted = false;
            while (!logonCompleted)
            {
                DialogResult res = form.ShowDialog(this);
                if (res == DialogResult.OK)
                {
                    try
                    {
                        Program.glLibManager.Username = form.Username;
                        Program.glLibManager.Password = form.Password;
                        Program.glLibManager.AuthenticationMode = form.AuthMode;
                        Program.glLibManager.BaseProtocol = form.Protocol;
                        Program.glLibManager.WSBaseUrl = form.Host;
                        m_Facade = Program.glLibManager.GetAdminFacade();


                        Program.glSettings.LastUserName = Program.glLibManager.Username;
                        Program.glSettings.LastAuthenticationMode = (int) Program.glLibManager.AuthenticationMode;
                        Program.glSettings.LastServerAddress = Program.glLibManager.WSBaseUrl;

                        Program.glSettings.Save();

                        logonCompleted = true;

                    }
                    catch (Exception ex)
                    {
                        if (ex.InnerException == null)
                            MessageBox.Show(this, ex.Message, "Error");
                        else
                        {
                            DialogResult dialogRes =  MessageBox.Show(this, ex.Message+"\n Click Yes for Details", "Error", MessageBoxButtons.YesNo);
                            if (dialogRes == DialogResult.Yes)
                            {
                                ErrorDetail errorForm = new ErrorDetail(ex);
                                errorForm.ShowDialog(this);
                            }
                        }

                    }
                }
                else
                {
                    this.Close();
                    break;
                }
            }
            
        }
        
    }
}